png++ 0.2.10

Public Member Functions | List of all members
png::consumer< pixel, pixcon, info_holder, interlacing_supported >::transform_identity Struct Reference

The default io transformation: does nothing. More...

`#include <consumer.hpp>`

## Public Member Functions
void | operator() (io_base &) const

## Detailed Description

template<typename pixel, class pixcon, class info_holder = def_image_info_holder, bool interlacing_supported = false>
struct png::consumer< pixel, pixcon, info_holder, interlacing_supported >::transform_identity

The default io transformation: does nothing.

## Member Function Documentation

## ◆ operator()()

template<typename pixel, class pixcon, class info_holder = def_image_info_holder, bool interlacing_supported = false>

void png::consumer< pixel, pixcon, info_holder, interlacing_supported >::transform_identity::operator() | ( | io_base & |  | ) | const
| inline

The documentation for this struct was generated from the following file:

- consumer.hpp